com.smartgwt.client.widgets

## Class ImgButton

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.StatefulCanvas
          - - com.smartgwt.client.widgets.Img
            - - com.smartgwt.client.widgets.ImgButton

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasTitleHoverHandlers, HasVisibilityChangedHandlers
  Direct Known Subclasses:
    TransferImgButton

      public class ImgButton
      extends Img
      implements HasTitleHoverHandlers

  A Img that behaves like a button, going through up/down/over state transitions in response to user events. Supports an optional title, and will auto-size to accommodate the title text if `overflow` is set to "visible".

  Example uses are Window minimize/close buttons.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImgButton()`
    `ImgButton(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action()` This property contains the default 'action' for the Button to fire when activated.
    `com.google.gwt.event.shared.HandlerRegistration` | `addTitleHoverHandler(TitleHoverHandler handler)` Add a titleHover handler.
    `void` | `addToRadioGroup(java.lang.String groupID)` Add this widget to the specified mutually exclusive selection group with the ID passed in.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `void` | `deselect()` Select this object.
    `SelectionType` | `getActionType()` Behavior on state changes -- BUTTON, RADIO or CHECKBOX
    `Alignment` | `getAlign()` Horizontal alignment of this component's title.
    `java.lang.Boolean` | `getAutoFit()` If true, ignore the specified size of this widget and always size just large enough to accommodate the title.
    `java.lang.String` | `getBaseStyle()` Base CSS style className applied to the component.
    `java.lang.Boolean` | `getHiliteAccessKey()` If set to true, if the `title` of this button contains the specified `accessKey`, when the title is displayed to the user it will be modified to include HTML to underline the accessKey. Note that this property may cause titles that include HTML (rather than simple strings) to be inappropriately modified, so should be disabled if your title string includes HTML characters.
    `java.lang.String` | `getIcon()` Optional icon to be shown with the button title text.
    `java.lang.String` | `getIconAlign()` If this button is showing an icon should it be right or left aligned?
    `java.lang.Integer` | `getIconHeight()` Height in pixels of the icon image.
    `java.lang.String` | `getIconOrientation()` If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
    `int` | `getIconSize()` Size in pixels of the icon image.
    `int` | `getIconSpacing()` Pixels between icon and title text.
    `java.lang.Integer` | `getIconWidth()` Width in pixels of the icon image.
    `java.lang.Integer` | `getLabelHPad()` Horizontal padding to be applied to this widget's label.
    `java.lang.Integer` | `getLabelVPad()` Vertical padding to be applied to this widget's label.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `static ImgButton` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getRadioGroup()` String identifier for this canvas's mutually exclusive selection group.
    `java.lang.Boolean` | `getSelected()` Whether this component is selected.
    `java.lang.Boolean` | `getShowClippedTitleOnHover()` If true and the title is clipped, then a hover containing the full title of this button is enabled.
    `java.lang.Boolean` | `getShowDisabled()` Should we visibly change state when disabled?
    `java.lang.Boolean` | `getShowDisabledIcon()` If using an icon for this button, whether to switch the icon image if the button becomes disabled.
    `java.lang.Boolean` | `getShowDown()` Should we visibly change state when the mouse goes down in this object?
    `java.lang.Boolean` | `getShowDownIcon()` If using an icon for this button, whether to switch the icon image when the mouse goes down on the button.
    `java.lang.Boolean` | `getShowFocused()` Should we visibly change state when the canvas receives focus? If `StatefulCanvas.showFocusedAsOver` is `true`, then `"over"` will be used to indicate focus.
    `java.lang.Boolean` | `getShowFocusedIcon()` If using an icon for this button, whether to switch the icon image when the button receives focus.
    `java.lang.Boolean` | `getShowRollOver()` Should we visibly change state when the mouse goes over this object?
    `java.lang.Boolean` | `getShowRollOverIcon()` If using an icon for this button, whether to switch the icon image on mouse rollover.
    `java.lang.Boolean` | `getShowSelectedIcon()` If using an icon for this button, whether to switch the icon image when the button becomes selected.
    `java.lang.Boolean` | `getShowTitle()` Determines whether any specified `title` will be displayed for this component. Applies to Image-based components only, where the title will be rendered out in a label floating over the component
    `java.lang.String` | `getSrc()` The base filename for the image.
    `State` | `getState()` Current "state" of this widget.
    `java.lang.String` | `getTitle()` The title HTML to display in this button.
    `VerticalAlignment` | `getValign()` Vertical alignment of this component's title.
    `java.lang.Boolean` | `isSelected()` Find out if this object is selected
    `void` | `removeFromRadioGroup()` Remove this widget from the specified mutually exclusive selection group with the ID passed in.
    `void` | `removeFromRadioGroup(java.lang.String groupID)` Remove this widget from the specified mutually exclusive selection group with the ID passed in.
    `void` | `select()` Select this object.
    `void` | `setActionType(SelectionType actionType)` Behavior on state changes -- BUTTON, RADIO or CHECKBOX If this method is called after the component has been drawn/initialized: Update the 'actionType' for this canvas (radio / checkbox / button) If the canvas is currently selected, and the passed in actionType is 'button' this method will deselect the canvas.
    `void` | `setAlign(Alignment align)` Horizontal alignment of this component's title.
    `void` | `setAutoFit(java.lang.Boolean autoFit)` If true, ignore the specified size of this widget and always size just large enough to accommodate the title.
    `void` | `setBaseStyle(java.lang.String baseStyle)` Base CSS style className applied to the component.
    `static void` | `setDefaultProperties(ImgButton imgButtonProperties)` Class level method to set the default properties of this class.
    `void` | `setDisabled(boolean disabled)` Enable or disable this object
    `void` | `setHiliteAccessKey(java.lang.Boolean hiliteAccessKey)` If set to true, if the `title` of this button contains the specified `accessKey`, when the title is displayed to the user it will be modified to include HTML to underline the accessKey. Note that this property may cause titles that include HTML (rather than simple strings) to be inappropriately modified, so should be disabled if your title string includes HTML characters.
    `void` | `setIcon(java.lang.String icon)` Optional icon to be shown with the button title text.
    `void` | `setIconAlign(java.lang.String iconAlign)` If this button is showing an icon should it be right or left aligned?
    `void` | `setIconHeight(java.lang.Integer iconHeight)` Height in pixels of the icon image.
    `void` | `setIconOrientation(java.lang.String iconOrientation)` If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
    `void` | `setIconSize(int iconSize)` Size in pixels of the icon image.
    `void` | `setIconSpacing(int iconSpacing)` Pixels between icon and title text.
    `void` | `setIconWidth(java.lang.Integer iconWidth)` Width in pixels of the icon image.
    `void` | `setLabelHPad(java.lang.Integer labelHPad)` Horizontal padding to be applied to this widget's label.
    `void` | `setLabelVPad(java.lang.Integer labelVPad)` Vertical padding to be applied to this widget's label.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.ImgButtonLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setRadioGroup(java.lang.String radioGroup)` String identifier for this canvas's mutually exclusive selection group.
    `void` | `setSelected(java.lang.Boolean selected)` Whether this component is selected.
    `void` | `setShowClippedTitleOnHover(java.lang.Boolean showClippedTitleOnHover)` If true and the title is clipped, then a hover containing the full title of this button is enabled.
    `void` | `setShowDisabled(java.lang.Boolean showDisabled)` Should we visibly change state when disabled?
    `void` | `setShowDisabledIcon(java.lang.Boolean showDisabledIcon)` If using an icon for this button, whether to switch the icon image if the button becomes disabled.
    `void` | `setShowDown(java.lang.Boolean showDown)` Should we visibly change state when the mouse goes down in this object?
    `void` | `setShowDownIcon(java.lang.Boolean showDownIcon)` If using an icon for this button, whether to switch the icon image when the mouse goes down on the button.
    `void` | `setShowFocused(java.lang.Boolean showFocused)` Should we visibly change state when the canvas receives focus? If `StatefulCanvas.showFocusedAsOver` is `true`, then `"over"` will be used to indicate focus.
    `void` | `setShowFocusedIcon(java.lang.Boolean showFocusedIcon)` If using an icon for this button, whether to switch the icon image when the button receives focus.
    `void` | `setShowRollOver(java.lang.Boolean showRollOver)` Should we visibly change state when the mouse goes over this object?
    `void` | `setShowRollOverIcon(java.lang.Boolean showRollOverIcon)` If using an icon for this button, whether to switch the icon image on mouse rollover.
    `void` | `setShowSelectedIcon(java.lang.Boolean showSelectedIcon)` If using an icon for this button, whether to switch the icon image when the button becomes selected.
    `void` | `setShowTitle(java.lang.Boolean showTitle)` Determines whether any specified `title` will be displayed for this component. Applies to Image-based components only, where the title will be rendered out in a label floating over the component
    `void` | `setSrc(java.lang.String src)` The base filename for the image.
    `void` | `setState(State state)` Current "state" of this widget.
    `void` | `setTitle(java.lang.String title)` The title HTML to display in this button.
    `void` | `setTitleHoverFormatter(TitleHoverFormatter formatter)` Provide a custom implementation of `titleHoverHTML(java.lang.String)`.
    `void` | `setValign(VerticalAlignment valign)` Vertical alignment of this component's title.
    `boolean` | `titleClipped()` Is the title of this button clipped?
    `java.lang.String` | `titleHoverHTML(java.lang.String defaultHTML)` Returns the HTML that is displayed by the default `titleHover` handler.

    - ### Methods inherited from class com.smartgwt.client.widgets.Img

      `getAltText, getEditProxyConstructor, getImageHeight, getImageType, getImageWidth, getPrompt, getSize, getUsePNGFix, resetSrc, setAltText, setDefaultProperties, setEditProxyConstructor, setHoverHTMLCustomizer, setImageHeight, setImageType, setImageWidth, setLogicalStructure, setName, setPrompt, setSize, setUsePNGFix`

    - ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

      `getIconStyle, getIgnoreRTL, getOverCanvas, getOverCanvasConstructor, getRedrawOnStateChange, getShowFocusedAsOver, getShowOverCanvas, getShowRTLIcon, getStateSuffix, setDefaultProperties, setIconStyle, setIgnoreRTL, setLogicalStructure, setOverCanvasConstructor, setRedrawOnStateChange, setShowFocusedAsOver, setShowOverCanvas, setShowRTLIcon, setTitleStyle`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, encloses, focus, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoMaskComponents, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeavePageSpace, getLeft, getLeftAsString, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getProportionalResizeModifiers, getProportionalResizing, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowDepth, getShadowImage, getShadowOffset, getShadowSoftness, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStyleName, getTabIndex, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getUseBackMask, getUseDragMask, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isDrawn, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, printComponents, provideRuleContext, redraw, redraw, removeChild, removeChild, removePeer, removePeer, removeSnapAlignCandidate, resizeBy, resizeTo, resizeTo, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAllowExternalFilters, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoMaskComponents, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCursor, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultWidth, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeavePageSpace, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setParentCanvas, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setProportionalResizeModifiers, setProportionalResizing, setRect, setRect, setRedrawOnResize, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setScrollbarConstructor, setScrollbarSize, setShadowDepth, setShadowImage, setShadowOffset, setShadowSoftness, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStyleName, setTabIndex, setTooltip, setTop, setTop, setUseBackMask, setUseDragMask, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setVisibility, setVisible, setWidth, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateEditNode, updateHover, updateHover, updateShadow, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, applyFactoryProperties, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### ImgButton

          public ImgButton()

    - #### ImgButton

          public ImgButton(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static ImgButton getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `Img`

    - #### setActionType

          public void setActionType(SelectionType actionType)

      Behavior on state changes -- BUTTON, RADIO or CHECKBOX
      If this method is called after the component has been drawn/initialized: Update the 'actionType' for this canvas (radio / checkbox / button) If the canvas is currently selected, and the passed in actionType is 'button' this method will deselect the canvas.
      Overrides:
        `setActionType` in class `StatefulCanvas`
      Parameters:
        `actionType` - Default value is "button"
      See Also:
        `State overview and related methods`, Radio / Toggle Behavior Example

    - #### getActionType

          public SelectionType getActionType()

      Behavior on state changes -- BUTTON, RADIO or CHECKBOX
      Overrides:
        `getActionType` in class `StatefulCanvas`
      Returns:
        Return the 'actionType' for this canvas (radio / checkbox / button)
      See Also:
        `State overview and related methods`, Radio / Toggle Behavior Example

    - #### setAlign

          public void setAlign(Alignment align)

      Horizontal alignment of this component's title.
      Overrides:
        `setAlign` in class `StatefulCanvas`
      Parameters:
        `align` - Default value is Canvas.CENTER
      See Also:
        `Appearance overview and related methods`

    - #### getAlign

          public Alignment getAlign()

      Horizontal alignment of this component's title.
      Overrides:
        `getAlign` in class `StatefulCanvas`
      Returns:
        Alignment
      See Also:
        `Appearance overview and related methods`

    - #### setAutoFit

          public void setAutoFit(java.lang.Boolean autoFit)

      If true, ignore the specified size of this widget and always size just large enough to accommodate the title. If `setWidth()` is explicitly called on an autoFit:true button, autoFit will be reset to `false`.

      Note that for StretchImgButton instances, autoFit will occur horizontally only, as unpredictable vertical sizing is likely to distort the media. If you do want vertical auto-fit, this can be achieved by simply setting a small height, and having overflow:"visible"
      If this method is called after the component has been drawn/initialized: Setter method for the `StatefulCanvas.autoFit` property. Pass in true or false to turn autoFit on or off. When autoFit is set to `false`, canvas will be resized to it's previously specified size.

      Overrides:
        `setAutoFit` in class `StatefulCanvas`
      Parameters:
        `autoFit` - New autoFit setting.. Default value is null
      See Also:
        `Sizing overview and related methods`

    - #### getAutoFit

          public java.lang.Boolean getAutoFit()

      If true, ignore the specified size of this widget and always size just large enough to accommodate the title. If `setWidth()` is explicitly called on an autoFit:true button, autoFit will be reset to `false`.

      Note that for StretchImgButton instances, autoFit will occur horizontally only, as unpredictable vertical sizing is likely to distort the media. If you do want vertical auto-fit, this can be achieved by simply setting a small height, and having overflow:"visible"

      Overrides:
        `getAutoFit` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `Sizing overview and related methods`

    - #### setBaseStyle

          public void setBaseStyle(java.lang.String baseStyle)

      Base CSS style className applied to the component.

      As the component changes `StatefulCanvas.state` and/or is selected, suffixes will be added to the base style. In some cases more than one suffix will be appended to reflect a combined state ("Selected" + "Disabled", for example).

      See `StatefulCanvas.getStateSuffix()` for a description of the default set of suffixes which may be applied to the baseStyle
      If this method is called after the component has been drawn/initialized: Sets the base CSS style. As the component changes state and/or is selected, suffixes will be added to the base style.

      Overrides:
        `setBaseStyle` in class `StatefulCanvas`
      Parameters:
        `baseStyle` - new base style See `CSSStyleName` . Default value is "imgButton"

    - #### getBaseStyle

          public java.lang.String getBaseStyle()

      Base CSS style className applied to the component.

      As the component changes `StatefulCanvas.state` and/or is selected, suffixes will be added to the base style. In some cases more than one suffix will be appended to reflect a combined state ("Selected" + "Disabled", for example).

      See `StatefulCanvas.getStateSuffix()` for a description of the default set of suffixes which may be applied to the baseStyle

      Overrides:
        `getBaseStyle` in class `StatefulCanvas`
      Returns:
        See `CSSStyleName`

    - #### setHiliteAccessKey

          public void setHiliteAccessKey(java.lang.Boolean hiliteAccessKey)

      If set to true, if the `title` of this button contains the specified `accessKey`, when the title is displayed to the user it will be modified to include HTML to underline the accessKey.
      Note that this property may cause titles that include HTML (rather than simple strings) to be inappropriately modified, so should be disabled if your title string includes HTML characters.
      Parameters:
        `hiliteAccessKey` - Default value is null

    - #### getHiliteAccessKey

          public java.lang.Boolean getHiliteAccessKey()

      If set to true, if the `title` of this button contains the specified `accessKey`, when the title is displayed to the user it will be modified to include HTML to underline the accessKey.
      Note that this property may cause titles that include HTML (rather than simple strings) to be inappropriately modified, so should be disabled if your title string includes HTML characters.
      Returns:
        Boolean

    - #### setIcon

          public void setIcon(java.lang.String icon)

      Optional icon to be shown with the button title text.

      Specify as the partial URL to an image, relative to the imgDir of this component.
      If this method is called after the component has been drawn/initialized: Change the icon being shown next to the title text.

      Overrides:
        `setIcon` in class `StatefulCanvas`
      Parameters:
        `icon` - URL of new icon See `SCImgURL` . Default value is null
      See Also:
        `ButtonIcon overview and related methods`

    - #### getIcon

          public java.lang.String getIcon()

      Optional icon to be shown with the button title text.

      Specify as the partial URL to an image, relative to the imgDir of this component.

      Overrides:
        `getIcon` in class `StatefulCanvas`
      Returns:
        See `SCImgURL`
      See Also:
        `ButtonIcon overview and related methods`

    - #### setIconAlign

          public void setIconAlign(java.lang.String iconAlign)
                            throws java.lang.IllegalStateException

      If this button is showing an icon should it be right or left aligned?
      Parameters:
        `iconAlign` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getIconAlign

          public java.lang.String getIconAlign()

      If this button is showing an icon should it be right or left aligned?
      Returns:
        String
      See Also:
        `ButtonIcon overview and related methods`

    - #### setIconHeight

          public void setIconHeight(java.lang.Integer iconHeight)
                             throws java.lang.IllegalStateException

      Height in pixels of the icon image.

      If unset, defaults to `iconSize`.

      Overrides:
        `setIconHeight` in class `StatefulCanvas`
      Parameters:
        `iconHeight` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getIconHeight

          public java.lang.Integer getIconHeight()

      Height in pixels of the icon image.

      If unset, defaults to `iconSize`.

      Overrides:
        `getIconHeight` in class `StatefulCanvas`
      Returns:
        Integer
      See Also:
        `ButtonIcon overview and related methods`

    - #### setIconOrientation

          public void setIconOrientation(java.lang.String iconOrientation)
                                  throws java.lang.IllegalStateException

      If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
      If this method is called after the component has been drawn/initialized: Changes the orientation of the icon relative to the text of the button.
      Overrides:
        `setIconOrientation` in class `StatefulCanvas`
      Parameters:
        `iconOrientation` - The new orientation of the icon relative to the text of the button.. Default value is "left"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getIconOrientation

          public java.lang.String getIconOrientation()

      If this button is showing an icon should it appear to the left or right of the title? valid options are `"left"` and `"right"`.
      Overrides:
        `getIconOrientation` in class `StatefulCanvas`
      Returns:
        String
      See Also:
        `ButtonIcon overview and related methods`

    - #### setIconSize

          public void setIconSize(int iconSize)
                           throws java.lang.IllegalStateException

      Size in pixels of the icon image.

      The `iconWidth` and `iconHeight` properties can be used to configure width and height separately.

      Note: When configuring the properties of a `StatefulCanvas` (or derivative) `AutoChild`, it is best to set the `iconWidth` and `iconHeight` to the same value rather than setting an `iconSize`. This is because certain skins or customizations thereto might set the `iconWidth` and `iconHeight`, making the customization of the AutoChild's `iconSize` ineffective.

      Overrides:
        `setIconSize` in class `StatefulCanvas`
      Parameters:
        `iconSize` - Default value is 16
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getIconSize

          public int getIconSize()

      Size in pixels of the icon image.

      The `iconWidth` and `iconHeight` properties can be used to configure width and height separately.

      Note: When configuring the properties of a `StatefulCanvas` (or derivative) `AutoChild`, it is best to set the `iconWidth` and `iconHeight` to the same value rather than setting an `iconSize`. This is because certain skins or customizations thereto might set the `iconWidth` and `iconHeight`, making the customization of the AutoChild's `iconSize` ineffective.

      Overrides:
        `getIconSize` in class `StatefulCanvas`
      Returns:
        int
      See Also:
        `ButtonIcon overview and related methods`

    - #### setIconSpacing

          public void setIconSpacing(int iconSpacing)
                              throws java.lang.IllegalStateException

      Pixels between icon and title text.
      Parameters:
        `iconSpacing` - Default value is 6
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getIconSpacing

          public int getIconSpacing()

      Pixels between icon and title text.
      Returns:
        int
      See Also:
        `ButtonIcon overview and related methods`

    - #### setIconWidth

          public void setIconWidth(java.lang.Integer iconWidth)
                            throws java.lang.IllegalStateException

      Width in pixels of the icon image.

      If unset, defaults to `iconSize`.

      Overrides:
        `setIconWidth` in class `StatefulCanvas`
      Parameters:
        `iconWidth` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getIconWidth

          public java.lang.Integer getIconWidth()

      Width in pixels of the icon image.

      If unset, defaults to `iconSize`.

      Overrides:
        `getIconWidth` in class `StatefulCanvas`
      Returns:
        Integer
      See Also:
        `ButtonIcon overview and related methods`

    - #### setLabelHPad

          public void setLabelHPad(java.lang.Integer labelHPad)

      Horizontal padding to be applied to this widget's label. If this value is null, the label will be given a horizontal padding of zero.

      The specified amount of padding is applied to the left and right edges of the button, so the total amount of padding is 2x the specified value.

      Parameters:
        `labelHPad` - Default value is null

    - #### getLabelHPad

          public java.lang.Integer getLabelHPad()

      Horizontal padding to be applied to this widget's label. If this value is null, the label will be given a horizontal padding of zero.

      The specified amount of padding is applied to the left and right edges of the button, so the total amount of padding is 2x the specified value.

      Returns:
        Integer

    - #### setLabelVPad

          public void setLabelVPad(java.lang.Integer labelVPad)

      Vertical padding to be applied to this widget's label. If this value is null, the label will be given a vertial padding of zero.

      The specified amount of padding is applied to the top and bottom edges of the button, so the total amount of padding is 2x the specified value.

      Parameters:
        `labelVPad` - Default value is null

    - #### getLabelVPad

          public java.lang.Integer getLabelVPad()

      Vertical padding to be applied to this widget's label. If this value is null, the label will be given a vertial padding of zero.

      The specified amount of padding is applied to the top and bottom edges of the button, so the total amount of padding is 2x the specified value.

      Returns:
        Integer

    - #### setRadioGroup

          public void setRadioGroup(java.lang.String radioGroup)

      String identifier for this canvas's mutually exclusive selection group.

      Note : This is an advanced setting

      Overrides:
        `setRadioGroup` in class `StatefulCanvas`
      Parameters:
        `radioGroup` - Default value is null
      See Also:
        `State overview and related methods`, Radio / Toggle Behavior Example

    - #### getRadioGroup

          public java.lang.String getRadioGroup()

      String identifier for this canvas's mutually exclusive selection group.
      Overrides:
        `getRadioGroup` in class `StatefulCanvas`
      Returns:
        String
      See Also:
        `State overview and related methods`, Radio / Toggle Behavior Example

    - #### setSelected

          public void setSelected(java.lang.Boolean selected)

      Whether this component is selected. For some components, selection affects appearance.
      If this method is called after the component has been drawn/initialized: Select this object.
      Overrides:
        `setSelected` in class `StatefulCanvas`
      Parameters:
        `selected` - Default value is false
      See Also:
        `State overview and related methods`

    - #### getSelected

          public java.lang.Boolean getSelected()

      Whether this component is selected. For some components, selection affects appearance.
      Overrides:
        `getSelected` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `State overview and related methods`

    - #### setShowClippedTitleOnHover

          public void setShowClippedTitleOnHover(java.lang.Boolean showClippedTitleOnHover)

      If true and the title is clipped, then a hover containing the full title of this button is enabled.
      Parameters:
        `showClippedTitleOnHover` - Default value is false

    - #### getShowClippedTitleOnHover

          public java.lang.Boolean getShowClippedTitleOnHover()

      If true and the title is clipped, then a hover containing the full title of this button is enabled.
      Returns:
        Boolean

    - #### setShowDisabled

          public void setShowDisabled(java.lang.Boolean showDisabled)

      Should we visibly change state when disabled?
      Overrides:
        `setShowDisabled` in class `StatefulCanvas`
      Parameters:
        `showDisabled` - Default value is true
      See Also:
        `State overview and related methods`

    - #### getShowDisabled

          public java.lang.Boolean getShowDisabled()

      Should we visibly change state when disabled?
      Overrides:
        `getShowDisabled` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `State overview and related methods`

    - #### setShowDisabledIcon

          public void setShowDisabledIcon(java.lang.Boolean showDisabledIcon)
                                   throws java.lang.IllegalStateException

      If using an icon for this button, whether to switch the icon image if the button becomes disabled.
      Overrides:
        `setShowDisabledIcon` in class `StatefulCanvas`
      Parameters:
        `showDisabledIcon` - Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getShowDisabledIcon

          public java.lang.Boolean getShowDisabledIcon()

      If using an icon for this button, whether to switch the icon image if the button becomes disabled.
      Overrides:
        `getShowDisabledIcon` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `ButtonIcon overview and related methods`

    - #### setShowDown

          public void setShowDown(java.lang.Boolean showDown)

      Should we visibly change state when the mouse goes down in this object?
      Overrides:
        `setShowDown` in class `StatefulCanvas`
      Parameters:
        `showDown` - Default value is false
      See Also:
        `State overview and related methods`

    - #### getShowDown

          public java.lang.Boolean getShowDown()

      Should we visibly change state when the mouse goes down in this object?
      Overrides:
        `getShowDown` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `State overview and related methods`

    - #### setShowDownIcon

          public void setShowDownIcon(java.lang.Boolean showDownIcon)
                               throws java.lang.IllegalStateException

      If using an icon for this button, whether to switch the icon image when the mouse goes down on the button.
      Overrides:
        `setShowDownIcon` in class `StatefulCanvas`
      Parameters:
        `showDownIcon` - Default value is false
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getShowDownIcon

          public java.lang.Boolean getShowDownIcon()

      If using an icon for this button, whether to switch the icon image when the mouse goes down on the button.
      Overrides:
        `getShowDownIcon` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `ButtonIcon overview and related methods`

    - #### setShowFocused

          public void setShowFocused(java.lang.Boolean showFocused)

      Should we visibly change state when the canvas receives focus? If `StatefulCanvas.showFocusedAsOver` is `true`, then `"over"` will be used to indicate focus. Otherwise a separate `"focused"` state will be used.
      Overrides:
        `setShowFocused` in class `StatefulCanvas`
      Parameters:
        `showFocused` - Default value is false
      See Also:
        `State overview and related methods`

    - #### getShowFocused

          public java.lang.Boolean getShowFocused()

      Should we visibly change state when the canvas receives focus? If `StatefulCanvas.showFocusedAsOver` is `true`, then `"over"` will be used to indicate focus. Otherwise a separate `"focused"` state will be used.
      Overrides:
        `getShowFocused` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `State overview and related methods`

    - #### setShowFocusedIcon

          public void setShowFocusedIcon(java.lang.Boolean showFocusedIcon)
                                  throws java.lang.IllegalStateException

      If using an icon for this button, whether to switch the icon image when the button receives focus.

      If `StatefulCanvas.showFocusedAsOver` is true, the `"Over"` icon will be displayed when the canvas has focus, otherwise a separate `"Focused"` icon will be displayed

      Overrides:
        `setShowFocusedIcon` in class `StatefulCanvas`
      Parameters:
        `showFocusedIcon` - Default value is false
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getShowFocusedIcon

          public java.lang.Boolean getShowFocusedIcon()

      If using an icon for this button, whether to switch the icon image when the button receives focus.

      If `StatefulCanvas.showFocusedAsOver` is true, the `"Over"` icon will be displayed when the canvas has focus, otherwise a separate `"Focused"` icon will be displayed

      Overrides:
        `getShowFocusedIcon` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `ButtonIcon overview and related methods`

    - #### setShowRollOver

          public void setShowRollOver(java.lang.Boolean showRollOver)

      Should we visibly change state when the mouse goes over this object?
      Overrides:
        `setShowRollOver` in class `StatefulCanvas`
      Parameters:
        `showRollOver` - Default value is false
      See Also:
        `State overview and related methods`

    - #### getShowRollOver

          public java.lang.Boolean getShowRollOver()

      Should we visibly change state when the mouse goes over this object?
      Overrides:
        `getShowRollOver` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `State overview and related methods`

    - #### setShowRollOverIcon

          public void setShowRollOverIcon(java.lang.Boolean showRollOverIcon)
                                   throws java.lang.IllegalStateException

      If using an icon for this button, whether to switch the icon image on mouse rollover.
      Overrides:
        `setShowRollOverIcon` in class `StatefulCanvas`
      Parameters:
        `showRollOverIcon` - Default value is false
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getShowRollOverIcon

          public java.lang.Boolean getShowRollOverIcon()

      If using an icon for this button, whether to switch the icon image on mouse rollover.
      Overrides:
        `getShowRollOverIcon` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `ButtonIcon overview and related methods`

    - #### setShowSelectedIcon

          public void setShowSelectedIcon(java.lang.Boolean showSelectedIcon)
                                   throws java.lang.IllegalStateException

      If using an icon for this button, whether to switch the icon image when the button becomes selected.
      Overrides:
        `setShowSelectedIcon` in class `StatefulCanvas`
      Parameters:
        `showSelectedIcon` - Default value is false
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `ButtonIcon overview and related methods`

    - #### getShowSelectedIcon

          public java.lang.Boolean getShowSelectedIcon()

      If using an icon for this button, whether to switch the icon image when the button becomes selected.
      Overrides:
        `getShowSelectedIcon` in class `StatefulCanvas`
      Returns:
        Boolean
      See Also:
        `ButtonIcon overview and related methods`

    - #### setShowTitle

          public void setShowTitle(java.lang.Boolean showTitle)

      Determines whether any specified `title` will be displayed for this component.
      Applies to Image-based components only, where the title will be rendered out in a label floating over the component

      Note : This is an advanced setting

      Overrides:
        `setShowTitle` in class `Img`
      Parameters:
        `showTitle` - Default value is false

    - #### getShowTitle

          public java.lang.Boolean getShowTitle()

      Determines whether any specified `title` will be displayed for this component.
      Applies to Image-based components only, where the title will be rendered out in a label floating over the component
      Overrides:
        `getShowTitle` in class `Img`
      Returns:
        Boolean

    - #### setSrc

          public void setSrc(java.lang.String src)

      The base filename for the image.

      This value will be combined with any specified `state` to form a combined URL, changing the appearance of the component as the state changes.

      The following table lists out the standard set of combined URLs that may be generated. Subclasses may support additional state-derived media of course. Note that the src URL will be split such that the extension is always applied to the end of the combined string. For example in the following table, if `src` was set to `"blank.gif"`, the Selected+Focused URL would be `"blank_Selected_Focused.gif"`.

      URL for Img source | Description
      `src+extension` | Default URL
      `src+"_Selected"+extension` | Applied when `StatefulCanvas.selected` is set to true
      `src+"_Focused"+extension` | Applied when the component has keyboard focus, if `StatefulCanvas.showFocused` is true, and `StatefulCanvas.showFocusedAsOver` is not true.
      `src+"_Over"+extension` | Applied when the user rolls over the component if `StatefulCanvas.showRollOver` is set to true
      `src+"_Down"+extension` | Applied when the user presses the mouse button over over the component if `StatefulCanvas.showDown` is set to true
      `src+"_Disabled"+extension` | Applied to `Canvas.disabled` component if `StatefulCanvas.showDisabled` is true.
      Combined states
      `src+"_Selected_Focused"+extension` | Combined Selected and focused state
      `src+"_Selected_Over"+extension` | Combined Selected and rollOver state
      `src+"_Focused_Over"+extension` | Combined Focused and rollOver state
      `src+"_Selected_Focused_Over"+extension` | Combined Selected, Focused and rollOver state
      `src+"_Selected_Down"+extension` | Combined Selected and mouse-down state
      `src+"_Focused_Down"+extension` | Combined Focused and mouse-down state
      `src+"_Selected_Focused_Down"+extension` | Combined Selected, Focused and mouse-down state
      `src+"_Selected_Disabled"+extension` | Combined Selected and Disabled state

      Overrides:
        `setSrc` in class `Img`
      Parameters:
        `src` - See `SCImgURL` . Default value is "[SKIN]/ImgButton/button.png"
      See Also:
        `Appearance overview and related methods`, Appearance Example

    - #### getSrc

          public java.lang.String getSrc()

      The base filename for the image.

      This value will be combined with any specified `state` to form a combined URL, changing the appearance of the component as the state changes.

      The following table lists out the standard set of combined URLs that may be generated. Subclasses may support additional state-derived media of course. Note that the src URL will be split such that the extension is always applied to the end of the combined string. For example in the following table, if `src` was set to `"blank.gif"`, the Selected+Focused URL would be `"blank_Selected_Focused.gif"`.

      URL for Img source | Description
      `src+extension` | Default URL
      `src+"_Selected"+extension` | Applied when `StatefulCanvas.selected` is set to true
      `src+"_Focused"+extension` | Applied when the component has keyboard focus, if `StatefulCanvas.showFocused` is true, and `StatefulCanvas.showFocusedAsOver` is not true.
      `src+"_Over"+extension` | Applied when the user rolls over the component if `StatefulCanvas.showRollOver` is set to true
      `src+"_Down"+extension` | Applied when the user presses the mouse button over over the component if `StatefulCanvas.showDown` is set to true
      `src+"_Disabled"+extension` | Applied to `Canvas.disabled` component if `StatefulCanvas.showDisabled` is true.
      Combined states
      `src+"_Selected_Focused"+extension` | Combined Selected and focused state
      `src+"_Selected_Over"+extension` | Combined Selected and rollOver state
      `src+"_Focused_Over"+extension` | Combined Focused and rollOver state
      `src+"_Selected_Focused_Over"+extension` | Combined Selected, Focused and rollOver state
      `src+"_Selected_Down"+extension` | Combined Selected and mouse-down state
      `src+"_Focused_Down"+extension` | Combined Focused and mouse-down state
      `src+"_Selected_Focused_Down"+extension` | Combined Selected, Focused and mouse-down state
      `src+"_Selected_Disabled"+extension` | Combined Selected and Disabled state

      Overrides:
        `getSrc` in class `Img`
      Returns:
        See `SCImgURL`
      See Also:
        `Appearance overview and related methods`, Appearance Example

    - #### setState

          public void setState(State state)

      Current "state" of this widget. The state setting is automatically updated as the user interacts with the component (see `StatefulCanvas.showRollOver`, `StatefulCanvas.showDown`, `StatefulCanvas.showDisabled`).

      StatefulCanvases will have a different appearance based on their current state. By default this is handled by changing the css className applied to the StatefulCanvas - see `StatefulCanvas.baseStyle` and `StatefulCanvas.getStateSuffix()` for a description of how this is done.

      For `Img` or `StretchImg` based subclasses of StatefulCanvas, the appearance may also be updated by changing the src of the rendered image. See `Img.src` and `StretchImgButton.src` for a description of how the URL is modified to reflect the state of the widget in this case.
      If this method is called after the component has been drawn/initialized: Sets the `state` of this object, changing its appearance. Note: `newState` cannot be `State.STATE_DISABLED` if `this.showDisabled` is `false`.

      Note : This is an advanced setting

      Overrides:
        `setState` in class `StatefulCanvas`
      Parameters:
        `state` - the new state.. Default value is ""
      See Also:
        `State`, `State overview and related methods`

    - #### getState

          public State getState()

      Current "state" of this widget. The state setting is automatically updated as the user interacts with the component (see `StatefulCanvas.showRollOver`, `StatefulCanvas.showDown`, `StatefulCanvas.showDisabled`).

      StatefulCanvases will have a different appearance based on their current state. By default this is handled by changing the css className applied to the StatefulCanvas - see `StatefulCanvas.baseStyle` and `StatefulCanvas.getStateSuffix()` for a description of how this is done.

      For `Img` or `StretchImg` based subclasses of StatefulCanvas, the appearance may also be updated by changing the src of the rendered image. See `Img.src` and `StretchImgButton.src` for a description of how the URL is modified to reflect the state of the widget in this case.

      Overrides:
        `getState` in class `StatefulCanvas`
      Returns:
        Return the state of this StatefulCanvas
      See Also:
        `State`, `State overview and related methods`

    - #### setTitle

          public void setTitle(java.lang.String title)

      The title HTML to display in this button.
      If this method is called after the component has been drawn/initialized: Setter for the `title`.
      Overrides:
        `setTitle` in class `StatefulCanvas`
      Parameters:
        `title` - the new title HTML. See `HTMLString` . Default value is null
      See Also:
        `Basics overview and related methods`

    - #### getTitle

          public java.lang.String getTitle()

      The title HTML to display in this button.
      Overrides:
        `getTitle` in class `StatefulCanvas`
      Returns:
        Return the title - HTML drawn inside the component.

        Default is to simply return this.title. See `HTMLString`

      See Also:
        `Basics overview and related methods`

    - #### setValign

          public void setValign(VerticalAlignment valign)

      Vertical alignment of this component's title.
      Overrides:
        `setValign` in class `StatefulCanvas`
      Parameters:
        `valign` - Default value is Canvas.CENTER
      See Also:
        `Appearance overview and related methods`

    - #### getValign

          public VerticalAlignment getValign()

      Vertical alignment of this component's title.
      Overrides:
        `getValign` in class `StatefulCanvas`
      Returns:
        VerticalAlignment
      See Also:
        `Appearance overview and related methods`

    - #### action

          public void action()

      This property contains the default 'action' for the Button to fire when activated.

    - #### addToRadioGroup

          public void addToRadioGroup(java.lang.String groupID)

      Add this widget to the specified mutually exclusive selection group with the ID passed in. Selecting this widget will then deselect any other StatefulCanvases with the same radioGroup ID. StatefulCanvases can belong to only one radioGroup, so this method will remove from any other radiogroup of which this button is already a member.
      Overrides:
        `addToRadioGroup` in class `StatefulCanvas`
      Parameters:
        `groupID` - - ID of the radiogroup to which this widget should be added
      See Also:
        `State overview and related methods`

    - #### deselect

          public void deselect()

      Select this object.
      Overrides:
        `deselect` in class `StatefulCanvas`
      See Also:
        `State overview and related methods`

    - #### isSelected

          public java.lang.Boolean isSelected()

      Find out if this object is selected
      Overrides:
        `isSelected` in class `StatefulCanvas`
      Returns:
      See Also:
        `State overview and related methods`

    - #### removeFromRadioGroup

          public void removeFromRadioGroup()

      Remove this widget from the specified mutually exclusive selection group with the ID passed in. No-op's if this widget is not a member of the groupID passed in. If no groupID is passed in, defaults to removing from whatever radioGroup this widget is a member of.
      Overrides:
        `removeFromRadioGroup` in class `StatefulCanvas`
      See Also:
        `State overview and related methods`

    - #### removeFromRadioGroup

          public void removeFromRadioGroup(java.lang.String groupID)

      Remove this widget from the specified mutually exclusive selection group with the ID passed in. No-op's if this widget is not a member of the groupID passed in. If no groupID is passed in, defaults to removing from whatever radioGroup this widget is a member of.
      Overrides:
        `removeFromRadioGroup` in class `StatefulCanvas`
      Parameters:
        `groupID` - - optional radio group ID (to ensure the widget is removed from the appropriate group.
      See Also:
        `State overview and related methods`

    - #### select

          public void select()

      Select this object.
      Overrides:
        `select` in class `StatefulCanvas`
      See Also:
        `State overview and related methods`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Enable or disable this object
      Overrides:
        `setDisabled` in class `Canvas`
      Parameters:
        `disabled` - true if this widget is to be disabled
      See Also:
        `Enable overview and related methods`

    - #### titleClipped

          public boolean titleClipped()

      Is the title of this button clipped?
      Returns:
        whether the title is clipped.

    - #### addTitleHoverHandler

          public com.google.gwt.event.shared.HandlerRegistration addTitleHoverHandler(TitleHoverHandler handler)

      Add a titleHover handler.

      Optional stringMethod to fire when the user hovers over this button and the title is clipped. If `ImgButton.showClippedTitleOnHover` is true, the default behavior is to show a hover canvas containing the HTML returned by `ImgButton.titleHoverHTML()`. Call `TitleHoverEvent.cancel()` from within `TitleHoverHandler.onTitleHover(com.smartgwt.client.widgets.events.TitleHoverEvent)` to suppress this default behavior.

      Specified by:
        `addTitleHoverHandler` in interface `HasTitleHoverHandlers`
      Parameters:
        `handler` - the titleHover handler
      Returns:
        `HandlerRegistration` used to remove this handler

    - #### titleHoverHTML

          public java.lang.String titleHoverHTML(java.lang.String defaultHTML)

      Returns the HTML that is displayed by the default `titleHover` handler. Return null or an empty string to cancel the hover.

      Use `setTitleHoverFormatter()` to provide a custom implementation.

      Parameters:
        `defaultHTML` - the HTML that would have been displayed by default. See `HTMLString`
      Returns:
        HTML to be displayed in the hover. If null or an empty string, then the hover is canceled.

    - #### setDefaultProperties

          public static void setDefaultProperties(ImgButton imgButtonProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `imgButtonProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setTitleHoverFormatter

          public void setTitleHoverFormatter(TitleHoverFormatter formatter)

      Provide a custom implementation of `titleHoverHTML(java.lang.String)`.

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.ImgButtonLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `Img`